# SQL Reference

The Spice Cloud Platform hosts managed Spice.ai Open Source runtime instances.

See the [Spice.ai Open Source SQL Reference](https://spiceai.org/docs/reference/sql) for a complete guide of supported SQL syntax (PostgreSQL-dialect), data types, functions, and commands.

## Identifier Case Sensitivity

Spice follows PostgreSQL conventions for identifier handling: unquoted identifiers (table and column names) are normalized to **lowercase**. To reference a table or column with uppercase or mixed-case characters, wrap the identifier in double quotes.

```sql
-- These are equivalent (both reference the lowercase table name)
SELECT * FROM my_table;
SELECT * FROM MY_TABLE;

-- Double quotes preserve case
SELECT * FROM "MyTable";
SELECT * FROM "MyTable"."MixedCaseColumn";
```

This behavior also applies to [dataset names](broken://pages/TqUYlnf0jpMU6k3dv9vL#identifier-case-sensitivity-and-quoting) configured in the `from` and `name` fields of the spicepod.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.spice.ai/docs/reference/sql-reference.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
